> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create job

> Creates a new job for processing or data operations and returns the job's unique ID and other details.



## OpenAPI

````yaml post /api/jobs
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/jobs:
    post:
      tags:
        - Jobs
      summary: Create job
      description: >-
        Creates a new job for processing or data operations and returns the
        job's unique ID and other details.
      operationId: create_job_api_jobs_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJobRequest'
        required: true
      responses:
        '201':
          description: Job created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateJobResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CreateJobRequest:
      properties:
        job_type:
          type: string
          title: Job Type
          description: >-
            Defines the category of job. (Valid values: `airflow.dataeng`,
            `airflow.nlp`, `airflow.ingest`, `mirror`).
        job_name:
          type: string
          title: Job Name
          description: Specifies the name of the job.
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: Indicates where the data originates.
        destination:
          anyOf:
            - type: string
            - type: 'null'
          title: Destination
          description: Specifies the data or output destination.
        properties_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Properties Json
          description: Additional job properties in JSON format.
        schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule
          description: The cron expression that specifies how often the job runs.
      type: object
      required:
        - job_type
        - job_name
      title: CreateJobRequest
    CreateJobResponse:
      properties:
        job_type:
          type: string
          title: Job Type
          description: >-
            Defines the category of job. (Valid values: `airflow.dataeng`,
            `airflow.nlp`, `airflow.ingest`, `mirror`).
        job_name:
          type: string
          title: Job Name
          description: Specifies the name of the job.
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
          description: Indicates where the data originates.
        destination:
          anyOf:
            - type: string
            - type: 'null'
          title: Destination
          description: Specifies the data or output destination.
        properties_json:
          anyOf:
            - type: string
            - type: 'null'
          title: Properties Json
          description: Additional job properties in JSON format.
        schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule
          description: The cron expression that specifies how often the job runs.
        id:
          type: string
          format: uuid
          title: Id
          description: The unique ID of the created job.
        status:
          type: string
          title: Status
          description: The current status of the job immediately after creation.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Job creation timestamp.
      type: object
      required:
        - job_type
        - job_name
        - id
        - status
        - created_at
      title: CreateJobResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````